file_formats_msa.h File Reference
Utilities » Functions to Read/Write several File Formats for RNA Sequences, Structures, and Alignments

Functions dealing with file formats for Multiple Sequence Alignments (MSA) More...

Include dependency graph for file_formats_msa.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | VRNA_FILE_FORMAT_MSA_CLUSTAL 1U
| Option flag indicating ClustalW formatted files. More...
#define | VRNA_FILE_FORMAT_MSA_STOCKHOLM 2U
| Option flag indicating Stockholm 1.0 formatted files. More...
#define | VRNA_FILE_FORMAT_MSA_FASTA 4U
| Option flag indicating FASTA (Pearson) formatted files. More...
#define | VRNA_FILE_FORMAT_MSA_MAF 8U
| Option flag indicating MAF formatted files. More...
#define | VRNA_FILE_FORMAT_MSA_DEFAULT
| Option flag indicating the set of default file formats. More...
#define | VRNA_FILE_FORMAT_MSA_NOCHECK 4096U
| Option flag to disable validation of the alignment. More...
#define | VRNA_FILE_FORMAT_MSA_UNKNOWN 8192U
| Return flag of vrna_file_msa_detect_format() to indicate unknown or malformatted alignment. More...

## Functions

int | vrna_file_msa_read (const char *filename, char ***names, char ***aln, char **id, char **structure, unsigned int options)
| Read a multiple sequence alignment from file. More...
int | vrna_file_msa_read_record (FILE *fp, char ***names, char ***aln, char **id, char **structure, unsigned int options)
| Read a multiple sequence alignment from file handle. More...
unsigned int | vrna_file_msa_detect_format (const char *filename, unsigned int options)
| Detect the format of a multiple sequence alignment file. More...

## Detailed Description

Functions dealing with file formats for Multiple Sequence Alignments (MSA)